Those wishes are duplicates of this one:
Add another
Comments optional
cancel
Send report
This wish is a spam. Comments... (optional)
cancel
Send report

It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like: Chrome, Firefox, Internet Explorer or Opera

×
Back to wishlist
Options
Share on
Report as Duplicate   Spam

Keep it clean

If you believe that a wish duplicates another one or is not meant for the category, use Options button above to report a duplicate or spam.

Add your wish

If there is an item you wish to have on GOG.com and it’s not yet on the wishlist, please add your wish

+486

Allow users to stay with Galaxy 1.2

Added by Stufflebean's avatar Stufflebean Stufflebean's avatar Stufflebean Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.

I am not a fan at all of Galaxy 2.0. I think GOG forcing people to "upgrade," is a bad move.

78 comments about this wish

Add comment
My comment
cancel
Post it
obliviondoll obliviondoll Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

2.0 is still listed as "beta". I have OPTED OUT OF BETA TESTING on the site and in the Galaxy app. GOG staff have directly confirmed Galaxy 2.0 is still in beta. If I don't modify files to prevent it, the most recent stable version updates itself automatically to beta in violation of my preferences. This is not ok.

17 hours ago
report
hide
Blo0dHawk Blo0dHawk Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

Please let us choose between 1.2 and 2.0!

4 days ago
report
hide
still_guns still_guns Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

Not the only time when a forced 'upgrade' is actually a downgrade. <br /> <br /> 1.2 is absolutely superior to 2.0, and no amount of 'tweaking' will make 2.0 better. <br /> <br /> At the very least, we need the choice between them. Do we want to continue using the better 1.2? Or downgrade to 2.0? A simple choice is all I ask.

Sep. 29, 2020
report
hide
lkoc2001 lkoc2001 Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

PLEASE, PLEASE, PLEASE let me stay in 1.2! I love it, simple and easy to use.

Sep. 11, 2020
report
hide
Wrath-Amon Wrath-Amon Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

If u will force this crap - Ill switch to Epic

Aug. 3, 2020
report
hide
TiraBlue TiraBlue Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

2.0 is awful it completely downgraded your client, I know you are in bed with Microsoft does it mean you have to be like them??? please don't force 2.0 on your clients

Jul. 20, 2020
report
hide
unknowngizzard unknowngizzard Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

2.0 sucks! I hate it!

Jul. 14, 2020
report
hide
Nordome Nordome Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

Since i've been FORCED on 2.0 the dowloading of the games/update is shit. Worse : one solution appears to be uninstalling reinstalling GOG which completely erase your installed game library prompting you to download again all your games and having to be lucky so the download works without issue. <br /> <br /> That 2.0 is not a BETA, it's an ALPHA and forcing all users on it was an unprofessional move and a direct suicide for GOG. Allow us to revert by choice and publish last version before 2.0 on official site thx you.

Jul. 10, 2020
report
hide
NocturnalSupremacy NocturnalSupremacy Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

I don't really care for 1.2 either, but I would much rather have that than 2.0.

Jul. 6, 2020
report
hide
JoshBerry022 JoshBerry022 Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

I hate the beta version of the client. When i go to download 1.2 (the link literally says this) it still downloads 2.0+ and installs beta. <br /> <br /> Please let us go back!

Jul. 3, 2020
report
hide
gogger42 gogger42 Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

2.0 is a serious downgrade, please delete it at once <br />

Jul. 2, 2020
report
hide
xxSlayer92 xxSlayer92 Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

I hate 2.0.. please let us get back 1.2

Jun. 27, 2020
report
hide
p_k p_k Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

First time trying to start gog galaxy after it was updated to 2.0 and it DOESN'T WORK! Just hangs and crashes or I have to force quit it. <br /> Now I'm searching how to install the previous version, and it seems even if I do that I have to run through all these hoops to stop it from mandatory updating to 2.0! <br /> <br /> WTF?!?!?!?!?!?!?!?!?!!?!?!?!?!!?!? <br /> <br /> Go through all this crap deleting stuff, making backups, changing settings, disabling auto starts, then having to import my games manually one by one. <br /> <br /> I SHOULD NOT HAVE TO SPEND HOURS FIXING SHIT TO PLAY MY GAMES BECAUSE OF AN UPDATE THAT I CAN'T EVEN REFUSE! <br /> <br /> GOG, you started this crap, now fix it. I want a one-click solution, maybe a new exe that will install the old galaxy without updating and import all my games for me. <br /> <br /> NEXT DAY... <br /> <br /> <br /> So I put in a support ticket for the buggy version 2.0 that simply does not even start on my laptop. Got automated responses in return that give no answers. Today this happened and I sent this reply to the ticket. (in the email the swearing at the end was not censored) <br /> <br /> ------- <br /> So to add to this disaster story... I had to reinstall an older version of gog galaxy, so I did, the latest version before 2.0. Had to reimport a bunch of games. One of my dosbox games, Master of Magic would not import no matter what I tried, so I had to reinstall that one. Started playing a new game there, spent about 3 hours playing it, made some saves. Then I just got through a really tough few turns in the game, barely surviving relentless attacks. I was going to save the progress because it was a miracle I survived, but suddenly the game disappeared. No error or crash messages, it just disappeared and what do I see? The nagging message from gog galaxy asking me if I want to update to version 2 now or later!!!! <br /> So it's bad enough I had to put in a ticket to complain that version 2 wasn't working, but now the forced upgrade nag message has caused my game to crash, right before I was about to do a crucial save! <br /> F*ck you guys. FIX THIS! It's been months of people complaining that this shit is beta-level quality with a huge host of problems and you guys are still trying to force this crap on us! STOP IT!

Jun. 27, 2020
report
hide
PCS_JEFF PCS_JEFF Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

The new client NEVER EVER worked on 2 different computers. Maybe It's because I have a big steam collection or because your programmers are children. SO your forced updated as screwed my collection and I had to find a solution on you forum to go back to 1.2 with some tricks. It's 0 respect of customers and you are worse than Epic store now: congrats !!!!

Jun. 23, 2020
report
hide
SoheiYamabushi SoheiYamabushi Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

Due to my disabilities the UI changes made the game client unusable. This deprived me of one of my main coping strategies for distracting me from my chronic pain. The forced update indirectly caused me physical harm.

Jun. 21, 2020
report
hide
TW1nosound TW1nosound Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

some of my games won't launch, had to reinstall the client to make them playable without opening straight from their directory and achievements aren't working. This galaxy was probably eaten by a black hole, it is terrible. I hate it.

Jun. 17, 2020
report
hide
Smurf Smurf Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

okay so i had the 2.0 update shoved down my throat like everyone else and now my client won't connect and shuts itself down, never had this issue with the old 1.2 client, seriously gog was so much better when we didn't need a client but at least 1.2 was functional.

Jun. 14, 2020
report
hide
tudhalyas tudhalyas Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

I also agree on letting us decide whether we want to stick around with 1.2 at least until 2.0 is polished enough to be the "new, official client". I like 2.0, but it's still too buggy.

Jun. 13, 2020
report
hide
Rzx22d9 Rzx22d9 Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

Bring the old client back at least as an optional download

Jun. 12, 2020
report
hide
garyd9 garyd9 Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

GOG forced me to "update" to a broken client that is missing essential components and can't communicate with itself. As a result, I was forced to use Steam.

Jun. 11, 2020
report
hide
ReiKaz ReiKaz Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

GOG now not only "Good Old Games" means, but also "Good Old Galaxy" - latest v1 must be optional.

Jun. 10, 2020
report
hide
fildas256 fildas256 Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

I found out I stopped playing games on GOG. I want my old client back. With list of my games I want to play, not a messy mess that can show me what other people on other platforms I playing. I dont care. I want to play my own games.

Jun. 10, 2020
report
hide
Juzi Juzi Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

"If it works, don't fix it". I even was unable to access my GOG library on 2.0, because it was updating something for ages. Stop forcing 1.2 "upgrading" to broken 2.0.

Jun. 8, 2020
report
hide
pyanth pyanth Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

1) Force users to move to a half baked new client is bad business. <br /> 2) This UI is horrible and is making my eyes bleed. <br /> 3) You need to allow users to import tags from their GOG collection. We have games tagged and hidden in our GOG collections and while you'll let us import those from Steam, you can't even be bothered to do it for your own client?

Jun. 8, 2020
report
hide
connnor connnor Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

Gog, does our opinion still matter to you?

Jun. 6, 2020
report
hide
Syntia13 Syntia13 Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

I would love to give a productive report on whether or not the so called 'upgraded' version is better or not, but I CAN'T. I'm physically unable to use it. My eyes start watering within 10 seconds, and I have to look away. Try to use any piece of software when you only can look at this for a few seconds at a time. I dare you.

Jun. 6, 2020
report
hide
MyLife4Night MyLife4Night Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

This is unacceptable! I really hate GOG 2.0 because it's a resource hog also laggy too and Old client GOG 1.2 works perfectly fine without any problem and it's a lightwieght and user friendly but Seems to be CDP doesn't want to keep old client. Best way solution is release GOG 1.2 source code under GPLv3 or MPL2 license it's only way to go! Let open-source community taking care your old client then, CDP can continue moving forward focusing new client GOG 2.0.

Jun. 6, 2020
report
hide
Jimbob42 Jimbob42 Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

Please allow reverting back to 1.2. Just been forced to upgrade and with no 1.2 version to download from your site I've resorted to uninstalling GOG Galaxy permanently.

Jun. 6, 2020
report
hide
LaDeX LaDeX Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

Oh yes please give us 1.2 back. it was simple and had a clean UI. 2.0 doesn't even allow sorting games in the order I bought them so I can easily download the games I just bought.

Jun. 5, 2020
report
hide
Anxaras Anxaras Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

It's near impossible to get games installed though Gog 2.0, which is a PITA since I recently bought a new computer and have to reinstall everything. Gog 2.0 fails to load activity, history and friends leaderboards (the latter I don't even need) which then f*cks up syncing saves. Inefficient bloatware. Kill it with fire.

Jun. 5, 2020
report
hide
Cempeg Cempeg Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

GoG Bullsh*t 2.0

Jun. 3, 2020
report
hide
djoxyk djoxyk Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

since GOG ignores Linux version of gog galaxy I request to keep galaxy 1.2 available for Linux users (because it's lightweight and known to be working in wine). New galaxy is too heavy and useless for Linux user (we can't do integrations anyway).

Jun. 1, 2020
report
hide
Psykopat89 Psykopat89 Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

I've been with GOG since 2009 - it is my absolute favorite platform for games, and I'm always preaching its glory to everyone else. Today is the first time I started seeing GOG behave in the same shitty way that every other platform out there does - forcing my client to update to something I did NOT ask for. Mind you, I CHOOSE to use this client, because of the freedom you give me. Keep this up, and I simply won't use any of your services AT ALL. <br /> <br /> Be very, very careful, GOG. Remember your roots. Do not become what you set out to defeat in the first place.

Jun. 1, 2020
report
hide
freezing_rain freezing_rain Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

yes please. 2.0 never worked for me and 1.2 was far superior to this bloatware you force on us here. Revert back now.

May. 31, 2020
report
hide
vitaly512.124 vitaly512.124 Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

1.2 is perfectly fine without all the social clutter being shoved down your throat. Please allow those of us who are fine with 1.2, stay on 1.2.

May. 31, 2020
report
hide
MilquetoastGhost MilquetoastGhost Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

Yes! PLEASE let us use Galaxy 1. Galaxy 2.0 is the total opposite of the nice clean straightforward experience from 1.2. I would rather just download things one by one manually and manage them myself than use 2.0.

May. 30, 2020
report
hide
FireDrakeZ FireDrakeZ Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

I have been having problems playing games ever since I updated to Galaxy 2.0. The previous version worked perfectly fine so this is really annoying. GOG is making me choose other websites instead to launch my games from

May. 29, 2020
report
hide
GrandBreaker GrandBreaker Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

Yes please. I'm prepared to uninstall Galaxy completely and use individual installers, this is actually causing problems within my games as well. Galaxy 1.2 worked just fine, let it stay as it was.

May. 28, 2020
report
hide
dBLOOD dBLOOD Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

OMG this! <br /> 2.0 is fucking dogshit, I would never import any other games into Galaxy! I uninstalled it and update my games manually!

May. 27, 2020
report
hide
Dawezy Dawezy Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

If it ain't broke, don't fix it. ------ Galaxy 1.2 is basic and to the point, has worked for me 100% of the time no bugs or glitches, even moreso on Windows 7 - makes me miss the old Downloader though ;_;. Made the right call by not Opt'ing in for the 2.0/Beta I had that uneasy feeling about it and now I know what it was..

May. 27, 2020
report
hide
Tikkia Tikkia Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

I quit counting at 50 threads of bitching about the forced update. I quit counting how many threads there were complaining about the forced update 4 days after it happened. From that combination you can figure out that there were 50 threads objecting about the forced update in the first 4 days alone. I would prefer to use Galaxy 1.2 over checking for updates and installing my games rather than doing it manually. I would prefer to do things manually over using Galaxy 2.0. Since I started doing things manually I have not been looking at the store page or my wish list due to using the book mark that points to my library over the main page. As I have not been looking at the "What is for sale" sections of <a href="http://gog.com" class="light_un" target="_blank">gog.com</a> I have not been buying anything from gog.com. I wonder how many people have quit buying games from, and canceling preorders made through, <a href="http://gog.com?" class="light_un" target="_blank">gog.com?</a> Some would be doing this in protest, others, like myself, would simply not have the interest in going through the hassle of looking at the selection of goods for sale. A situation that could be reversed by making Galaxy 1.2 available for use, even if <a href="http://gog.com" class="light_un" target="_blank">gog.com</a> would not offer any support for it.

May. 25, 2020
report
hide
Tinchen687 Tinchen687 Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

Same for me, I prefer a clear minimalist UI to what GoG2.0 has become. I still use a PC to play so all these fancy new views with huge icons for the games and large letters for the categories simply clutter everything up. I'm not visually impaired (yet) that I need everything suddenly scaled that large, big and intrusive. Might be different for people using big TV screens, but well, that's not everyone so I'd like to have a much simpler 1.2 like UI option too. <br /> For now I reverted back to the old Galaxy client on my main gaming PC and will see what changes are made to 2.0 on my travel laptop, there it doesn't bother me as much cause there's only one game installed anyway.

May. 23, 2020
report
hide
LachlanThomas LachlanThomas Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

OK. I downloaded the new client the other day and I too much prefer the older client mainly because of the sidebar which displayed all your installed games, I miss that sidebar a lot. Remember that this software is still in Beta and it's not ready for mainstream adoption, arguably GOG should not be making everyone update to it for this reason. Remember also that Galaxy is optional, if you don't like it, delete it and just play your games without it. Provide GOG with some constructive feedback, tell them what it is about the client you don't like and tell them what they can do to fix it. Just saying that you don't like the new client and saying you want to go back to the old client isn't productive. I love GOG, but I don't like the new client much. I've given GOG some brief feedback via Facebook and the client itself, they told me they'd give my feedback to the right people. If GOG don't address the problems with the client I probably will delete it and just use GOG without it, I don't play too many games online, so that's no great loss to me.

May. 23, 2020
report
hide
gcman gcman Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

Some of the games in my library either won't play or run badly since I got stuck with Galaxy 2.0. The old Galaxy worked fine. Why fix it?

May. 23, 2020
report
hide
Wrath-Amon Wrath-Amon Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

Wont by a thing till you give me back 1.2

May. 22, 2020
report
hide
StrongBob StrongBob Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

I concur. I'm sure this new client works for plenty of people but it doesn't work for me. It took me forever to figure out how to play any of the games I already installed. <br /> <br /> It was easier when there was a simple play button, and I didn't have to find my installed games and right click them.

May. 22, 2020
report
hide
helpi helpi Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

GOG why you upgrade the Client to 2.0 beta without my permission??? That sucks. There is no forum and for the rest I have no need for the Client.... <br /> <br /> Downgrade my Client quickly!!!

May. 22, 2020
report
hide
Rzx22d9 Rzx22d9 Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

This entire galaxy 2.0 is a really crappy way to lose some of your loyal customers. I used the launcher to update my games easily. I can't even use the new one because my PC is quite old and I cant really afford a replacement now nor in the near future. There should at least be some legacy option or a "lite" version of Galaxy. Most of the features of 2.0 are completely useless. I don't care that someone is playing Pokemon Shield on their Switch or that someone is playing a steam game which is not even available on GOG. I want GOG to be GOG. That was always one of the biggest selling points for me - the lack of DRM an GOG being UNLIKE every other available platform. Now it seems that you're trying to pander to the other "more popular" platforms for some reasons.

May. 19, 2020
report
hide
ovrkll19 ovrkll19 Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

Please stop forcing an update to a tool that is not wanted. Forcing is losing customers. It is equivalent to DRM!

May. 17, 2020
report
hide
Shuttenbach Shuttenbach Sorry, data for given user is currently unavailable. Please, try again later. View profile View wishlist Start conversation Invite to friends Invite to friends Accept invitation Accept invitation Pending invitation... User since {{ user.formattedDateUserJoined }} Friends since {{ user.formattedDateUserFriended }} Unblock chat User blocked This user's wishlist is not public. You can't chat with this user due to their or your privacy settings. You can't chat with this user because you have blocked him. You can't invite this user because you have blocked him.
Comment burried. Unhide. .

Please stop forcing upgrade to 2.0. It is an ugly, counter-intuitive, buggy mess right now. Also, not everyone needs or wants all these "social features" in their game launcher. Please allow people to decide for themselves if and when they want to migrate to the new launcher.

May. 17, 2020
report
hide
Load more comments